curl --request PUT \
--url https://api.letpiper.com/v1/orgs/{org_id}/agents/{agent_id}/delegates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"delegate_agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'{
"delegates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delegate_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delegate_agent_name": "<string>",
"delegate_agent_is_active": true,
"name": "<string>",
"description": "<string>"
}
]
}Replace delegate list for an agent. Requires: agents:update permission.
curl --request PUT \
--url https://api.letpiper.com/v1/orgs/{org_id}/agents/{agent_id}/delegates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"delegate_agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'{
"delegates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delegate_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delegate_agent_name": "<string>",
"delegate_agent_is_active": true,
"name": "<string>",
"description": "<string>"
}
]
}Platform token (starts with pat_)
Schema for replacing agent delegates.
50Successful Response
Schema for listing agent delegates.
Show child attributes